package wifi.logger.it;

import java.util.List;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiManager;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class WifiExampleActivity extends Activity implements View.OnClickListener {
    /** Called when the activity is first created. */
	private WifiManager mainWifi;
	private WifiReceiver receiverWifi;
    private Button button;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        button=(Button)findViewById(R.id.button);
        button.setOnClickListener(this);
        receiverWifi=new WifiReceiver();
        registerReceiver(receiverWifi,new IntentFilter(WifiManager.SCAN_RESULTS_AVAILABLE_ACTION));
    }

    @Override
    public void onClick(View view) {
        mainWifi=(WifiManager) getSystemService(Context.WIFI_SERVICE);
        mainWifi.startScan();
        button.setEnabled(false);
    }

    class WifiReceiver extends BroadcastReceiver {
    	private List<ScanResult> wifiList;

		@Override
		public void onReceive(Context arg0, Intent arg1) {
			wifiList=mainWifi.getScanResults();
            Toast toast=Toast.makeText(getApplicationContext(), "Number of WiFi detected: "+wifiList.size(), Toast.LENGTH_LONG);
			toast.show();
            button.setEnabled(true);
		}
    }
}